import { Component, Input } from '@angular/core';
import { IonButton, IonButtons, IonContent, IonHeader, IonIcon, IonTitle, IonToolbar, ModalController } from '@ionic/angular/standalone';
import { addIcons } from 'ionicons';
import { arrowBack } from 'ionicons/icons';

@Component({
  selector: 'app-image4-popup',
  templateUrl: './image4-popup.component.html',
  styleUrls: ['./image4-popup.component.scss'],
  standalone: true,
  imports: [IonContent, IonHeader, IonButton, IonButtons, IonToolbar, IonTitle, IonIcon]
})
export class Image4PopupComponent {
    // 使用 @Input() 来接收来自父组件传递的数据
    @Input() imageUrl: string = '';
    @Input() description: string = '';
  
    constructor(private modalController: ModalController) {
       addIcons({arrowBack});
    }
  ngOnInit() {}

  close() {
    this.modalController.dismiss();
  }
}
